## diskless 0.3.6

=== debian/changelog ===
diskless (0.3.6) frozen unstable; urgency=low

  * dpkg-reconfigure now in /usr/sbin.
  * move dpkg-reconfigure calls diskless-image-configure, in each
    package. Previously reconfiguration was broken.
  * Improved error message from system calls.
  * Removed text from README.Debian giving instructions on how to install
    debconf, as it is now installed by default.
  * System calls more efficient and secure.
  * Create root directory with mkdir -p. This was previously
    confusing new users.
  * diskless-newimage prints a message if in configuration mode, as this was
    confusing new users.
  * Remove tzconfig call from postinst script as it was crashing
    (closes: #58534).

 -- Brian May <bam@debian.org>  Wed, 23 Feb 2000 11:34:58 +1100

diskless (0.3.5) unstable; urgency=low

  * debconf support.
  * removed old slink stuff.
  * seems to require new dpkg from potato so that postinst
  scripts work correctly. This is only really an issue for
  slink based servers, like mine.

 -- Brian May <bam@debian.org>  Thu, 30 Dec 1999 21:16:34 +1100

diskless (0.3.4) unstable; urgency=low

  * simplified init procedure.
  * commented init procedure.
  * fix problem with /proc not being registered on master system.
  * changed default group directory to /var/lib/diskless/default/root.
  * fixed documentation - should no longer refer to
  diskless_newgroup or diskless-newgroup. diskless-newimage is the
  correct program.
  * quick hack: should work for potato image, now.

 -- Brian May <bam@debian.org>  Mon, 15 Nov 1999 19:39:01 +1100

diskless (0.3.3) unstable; urgency=low

  * /sbin/init doesn't do anything special unless pid == 1.

 -- Brian May <bam@debian.org>  Sat, 30 Oct 1999 07:24:40 +1000

diskless (0.3.2) unstable; urgency=low

  * MAKEDEV generic - fix all permissions on /dev at once. Is this
    the best way? Does it fix *all* devices?
  * don't copy .nfs* files.
  * changed last remaining group_ M4 prefix to image_
  * chmod go+w /var/tmp.
  * Removed settings: image_remotelogin, image_locallogin, and image_extra,
    image_x, image_xdm, image_kerberos. This simplifies the packages and
    allows making local changes easier.
  * Removed template files for same reason: /etc/init.d/inetd.conf,
    /etc/init.d/inittab, /etc/init.d/checkroot.sh, and /etc/init.d/umountfs.
  * Move /etc/init.d/X from template section so that it will work on
    master system.

 -- Brian May <bam@debian.org>  Sat,  2 Oct 1999 10:45:23 +1000

diskless (0.3.1) unstable; urgency=low

  * Fixed some silly bugs.
  * /etc/{fstab,hostname,resolv.conf} written at same time as rest of
    configuration (use to be when init booted master system).
  * /usr/lib/diskless-image/template/etc/ssmtp/ssmtp uses visable mail name.
  * chmod go+w /tmp /dev/null /dev/zero - any others I missed?
  * create initial /etc/init.d/network

 -- Brian May <bam@debian.org>  Sat, 25 Sep 1999 15:28:11 +1000

diskless (0.3.0) unstable; urgency=low

  * Major restructuring
  * First version of diskless-image

 -- Brian May <bam@debian.org>  Thu, 16 Sep 1999 15:10:25 +1000

diskless (0.1.8) unstable; urgency=low

  * kerberos4kth support.
  * New group setting nfsusrdir.
  * Simplified getoptiondescn in groupdir.pm.
  * Extracted template.tgz and set permissions in debian/rules. This makes
    CVS usage a lot easier.
  * disabled date and time check on files to fix problems with CVS.

 -- Brian May <bam@debian.org>  Fri, 30 Jul 1999 08:31:18 +1000

diskless (0.1.7) unstable; urgency=low

  * Added stderr-die, contributed by Roderick Schertler <roderick@argon.org>.
  * Full M4 support.

 -- Brian May <bam@debian.org>  Fri, 18 Jun 1999 11:59:47 +1000

diskless (0.1.6) unstable; urgency=low

  * Minimal support for M4. Please tell if if you want this to
    be improved.
  * groupdir.pm, hostdir.pm: Simplified & fixed minor bugs.
  * Improve quality to make suitable for Debian release.
  * Add man pages

 -- Brian May <bam@debian.org>  Thu, 17 Jun 1999 19:01:14 +1000

diskless (0.1.5) unstable; urgency=low

  * Removed /usr/lib/diskless/template/template.tgz which shouldn't
    have been there.
  * /etc/init.d/X delays for five minutes if error in XF86Config.
  * Don't copy lost+found directories.
  * Don't copy /etc/*-

 -- Brian May <bam@snoopy.apana.org.au>  Wed, 21 Apr 1999 14:43:53 +1000

diskless (0.1.4) unstable; urgency=low

  * Remove hardcoded references to snoopy in qmail config.
  * QMail setup no longer specific to my network.
  * groupdir: don't create /root/tmp/{dev,var} symlinks unless secure mode.
  * start X from directly from inittab.

 -- Brian May <bam@snoopy.apana.org.au>  Sun, 28 Mar 1999 11:00:07 +1000

diskless (0.1.3) unstable; urgency=low

  * nfshomedir option can be "none".
  * changed meaning of xdm, now controls remote access,
  * Don't start apache on client.
  * New options: secure, x, locallogin, remotelogin, extras.
  * New secure mode: erases /var and /dev on startup and copies
    from readonly source. /etc/exports must be changed for maximum
    benefit.
  * Remove debian packages in default masterdir host rules file,
    should be faster now.
  * auto_install.pm: fixed buggy handling if filetype has changed on
    source file since last installation.
  * Seperated mbp into mbp and mbp.pm; integrated mbp into groupdir.pm
    and hostdir.pm; should be faster now; slower for some reason on
    Ultrix?
  * Fixed bug that /root was copied into $groupdir two times.

 -- Brian May <bam@snoopy.apana.org.au>  Sun, 14 Mar 1999 15:55:54 +1100

diskless (0.1.2) unstable; urgency=low

  * New option: ask if xdm should be started on client.
  * Don't copy master XF86Server file.
  * Don't start dhcpd (previously only checked dhcpd-beta) on client.
  * Don't start xfs on client.
  * auto_install.pm wouldn't delete files in multiple destinations.
  * Update /usr/lib/diskless/etc/init.d/nis
  * Delete /usr/lib/diskless/etc/init.d/netbase

 -- Brian May <bam@snoopy.apana.org.au>  Sun,  7 Mar 1999 19:02:38 +1100


