=== debian/control ===
Source: diskless
Section: misc
Priority: extra
Maintainer: Brian May <bam@debian.org>
Standards-Version: 3.0.1

Package: diskless
Architecture: all
Depends: libdigest-md5-perl,m4
Suggests: netboot
Conflicts: diskless-image
Description: Generate NFS file structure for diskless boot.
 This package comes with two programs, diskless_newimage, and
 diskless_newhost to simplify setting up and maintaining diskless
 clients NFS-Root file structure.
 .
 These programs ask user friendly questions to aid configuration
 of the diskless system to the administrators preference.
 .
 Either the diskless-image-simple or diskless-image-secure
 packages are required to be available (NOT INSTALLED!) in
 order to use this package.

Package: diskless-image-simple
Architecture: all
Depends: debconf
Provides: diskless-image
Conflicts: diskless-image,diskless
Description: Files required for simple NFS-Root image.
 This package contains files required to boot an NFS-Root disk image. It
 also contains template files for setting up individual hosts.
 .
 WARNING: This package can and will break your computer. Do not install
 manually. It should only be installed via the diskless-newimage, part of
 the diskless package.

Package: diskless-image-secure
Architecture: all
Depends: debconf
Provides: diskless-image
Conflicts: diskless-image,diskless
Description: Files required for secure NFS-Root image.
 This package contains files required to boot an NFS-Root disk image. It
 also contains template files for setting up individual hosts.
 .
 Using this package is more secure then diskless-image-simple, as only
 one partition needs read-write access, and it is completely refreshed
 from a read-only NFS mount on every boot. If you suspect somebody
 has cracked into your NFS-root host, rebooting it will restore it back to
 its original state. However, this makes it slower to boot then the
 diskless-image-simple.
 .
 WARNING: This package can and will break your computer. Do not install
 manually. It should only be installed via the diskless-newimage, part of
 the diskless package.
