=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package		:= diskless
prefix		:= debian/tmp
docdir		:= $(prefix)/usr/doc/$(package)
libdir		:= $(prefix)/usr/lib/$(package)
vardir		:= $(prefix)/var/lib/$(package)
sbindir		:= $(prefix)/usr/sbin

isrcprefix	:= diskless-image-simple
iprefix		:= debian/diskless-image-simple
ietcdir		:= $(iprefix)/etc
isbindir	:= $(iprefix)/sbin
iusrsbindir	:= $(iprefix)/usr/sbin
ilibdir		:= $(iprefix)/usr/lib/diskless-image
iman8dir	:= $(iprefix)/usr/man/man8

jsrcprefix	:= diskless-image-secure
jprefix		:= debian/diskless-image-secure
jetcdir		:= $(jprefix)/etc
jsbindir	:= $(jprefix)/sbin
jusrsbindir	:= $(jprefix)/usr/sbin
jlibdir		:= $(jprefix)/usr/lib/diskless-image
jman8dir	:= $(jprefix)/usr/man/man8

install_file	:= install -o root -g root -m 644
install_script	:= install -o root -g root -m 755
make_directory	:= install -d -o root -g root -m 755

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) prefix=`pwd`/debian/tmp/usr install

	$(install_script) diskless-newimage $(sbindir)
	$(install_script) diskless-newhost $(sbindir)
	$(install_script) diskless-kernel $(libdir)
	$(install_script) stderr-die $(libdir)
	$(install_file) hostdir.pm $(libdir)
	$(install_file) imagedir_base.pm $(libdir)
	$(install_file) imagedir_server.pm $(libdir)
	$(install_file) diskless.pm $(libdir)
	$(install_file) diskless.m4 $(libdir)
	$(install_file) auto_install.pm $(libdir)
	$(install_file) error.pm $(libdir)

	$(install_script) $(isrcprefix)/configure-diskless-image $(iusrsbindir)
	$(install_script) $(isrcprefix)/init $(isbindir)
	$(install_file) $(isrcprefix)/init.8 $(iman8dir)
	$(install_file) $(isrcprefix)/rules-image $(ilibdir)
	$(install_file) $(isrcprefix)/rules-template $(ilibdir)
	$(install_script) X $(ietcdir)/init.d
	$(install_file) config.sh $(ietcdir)/diskless-image

	cp -a $(isrcprefix)/template $(ilibdir)/template
	find $(ilibdir)/template -type d -and -name "CVS" | xargs --no-run-if-empty -- rm -rf
	chown -R root:root $(ilibdir)/template
	chmod -R 644 $(ilibdir)/template
	chmod -R a+X $(ilibdir)/template
	chmod 755 $(ilibdir)/template/etc/cron.daily/*
#	chmod 755 $(ilibdir)/template/etc/init.d/*
#	chmod 644 $(ilibdir)/template/etc/init.d/*.sh
	ln -s /proc/mounts $(ilibdir)/template/etc/mtab

	$(install_script) $(jsrcprefix)/configure-diskless-image $(jusrsbindir)
	$(install_script) $(jsrcprefix)/init $(jsbindir)
	$(install_file) $(isrcprefix)/init.8 $(jman8dir)
	$(install_file) $(jsrcprefix)/rules-image $(jlibdir)
	$(install_file) $(jsrcprefix)/rules-template $(jlibdir)
	$(install_script) X $(jetcdir)/init.d
	$(install_file) config.sh $(jetcdir)/diskless-image

	cp -a $(jsrcprefix)/template $(jlibdir)/template
	find $(jlibdir)/template -type d -and -name "CVS" | xargs --no-run-if-empty -- rm -rf
	chown -R root:root $(jlibdir)/template
	chmod -R 644 $(jlibdir)/template
	chmod -R a+X $(jlibdir)/template
	chmod 755 $(jlibdir)/template/etc/cron.daily/*
	chmod 755 $(jlibdir)/template/etc/init.d/*
	chmod 644 $(jlibdir)/template/etc/init.d/*.sh
	ln -s /proc/mounts $(jlibdir)/template/etc/mtab
	ln -s ../rw-secure/dev $(jlibdir)/template/rw/dev
	ln -s ../rw-secure/var $(jlibdir)/template/rw/var
	ln -s ../rw-secure/tmp $(jlibdir)/template/rw/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages -pdiskless init.8 configure-diskless-image.8
#	dh_undocumented
	dh_installchangelogs
	dh_compress
#
#this breaks my package
# - I hope it isn't required by policy
#	dh_fixperms
#
	dh_suidregister
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
