## diskless 0.3.17

=== debian/changelog ===
diskless (0.3.17) unstable; urgency=low

  * /etc/init.d/X is now marked as a conffile. (closes: #132800, #132828)

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Feb 2002 18:14:53 +0900

diskless (0.3.16) unstable; urgency=low

  * A maintenance release, after checking the lintian reports, breaking 
    the silence.
  * added build-depends for debhelper (>= 3.0.0)
  * diskless.preinst typo is fixed. An interactive presinst for diskless may 
    sound wrong, but it should be kept this way to avoid nasty surprises,
    and it will only happen for people who have bothered to upgrade from
    a version 3 years ago...
  * fixed the documentation.xml. Added notes on a required change to the kernel 
    for a netbootable kernel. This documentation needs much more attention.
  * removed the emacs settings in changelog

 -- Junichi Uekawa <dancer@debian.org>  Fri, 11 Jan 2002 16:50:40 +0900

diskless (0.3.15) unstable; urgency=low

  * added createbasetgz script to create a base.tgz (it would be better to
     be able to cache a debootstrap output than doing it over and over again...)
     (closes: #89079)
     This might be a temporary measure, watch out!
  * changed all base2_2.tgz to base.tgz
  * fixed a missing dollar sign in stderr-die script, for help.
    Me -> $Me
  * added build-depends for debootstrap
  * Updated policy version to 3.5.5
  * updating documentation manual.xml a little, it needs more work.
  * This thing seems to work, up to the point that it creates an image.
    Uploading to the Debian archive...

 -- Junichi Uekawa <dancer@debian.org>  Sat, 21 Jul 2001 19:56:06 +0900

diskless (0.3.14) unstable; urgency=low

  * copyright has been changed to say it is GPL. (according to bam@debian.org 
    it should have been GPL).

 -- Junichi Uekawa <dancer@debian.org>  Mon,  2 Jul 2001 20:42:32 +0900

diskless (0.3.13) unstable; urgency=low

  * adoption by Junichi Uekawa (closes: #101255)
  * added Depends: for libmd5-perl, thanks to Yann Dirson (closes: #101191)
  * uploaded before I wreck everything, this version does not address 
    many problems. 

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Jun 2001 10:02:21 +0900

diskless (0.3.12) unstable; urgency=low

  * Still more group_ prefixes changed to image_. devfs should now work.
    (at least for diskless-image-simple; diskless-image-secure will require
    more work).

 -- Brian May <bam@debian.org>  Tue, 10 Apr 2001 17:23:59 +1000

diskless (0.3.11) unstable; urgency=low

  * Update manual to refer to base2_2.tgz instead of base2_1.tgz
    (closes: #85047).

 -- Brian May <bam@debian.org>  Wed,  7 Feb 2001 12:08:03 +1100

diskless (0.3.10) unstable; urgency=low

  * Fix order of template fstab file.
  * Add /var/lib/dpkg to sample exports file.
  * Join imagedir_base.pm and imagedir_server.pm into imagedir.pm

 -- Brian May <bam@debian.org>  Sun, 19 Nov 2000 11:43:39 +1100

diskless (0.3.9) unstable; urgency=low

  * fstab now sets root to readonly on clients so /proc is mounted
    correctly.
  * fstab on clients now mounts /var/lib/dpkg from master system (read-only).
  * postinst script now creates /etc/network/interfaces and /var/log/wtmp for
    clients.
  * closes: #76523.

 -- Brian May <bam@debian.org>  Sun, 12 Nov 2000 10:28:39 +1100

diskless (0.3.8) unstable; urgency=low

  * Use POSIX::tmpnam() instead of hardcoded /tmp filename.

 -- Brian May <bam@debian.org>  Sat, 14 Oct 2000 17:06:02 +1100

diskless (0.3.7) unstable; urgency=low

  * New DocBook format documentation.
  * Removed entry from rules-image that prevented compressed
  man pages from being installed.

 -- Brian May <bam@debian.org>  Mon,  2 Oct 2000 19:00:05 +1100
