=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: diskless
 Section: misc
 Priority: extra
-Maintainer: Brian May <bam@debian.org>
-Standards-Version: 3.0.1
+Maintainer: Junichi Uekawa <dancer@debian.org> 
+Standards-Version: 3.5.5
+Build-Depends-Indep: debhelper (>= 3.0.0), jade, docbook-stylesheets, sgml-data, docbook-xml
 
 Package: diskless
 Architecture: all
-Depends: libdigest-md5-perl,m4
+Depends: libmd5-perl,m4,perl5, debootstrap (>= 0.1.15)
 Suggests: netboot
 Conflicts: diskless-image
 Description: Generate NFS file structure for diskless boot.
