=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 isbindir	:= $(iprefix)/sbin
 iusrsbindir	:= $(iprefix)/usr/sbin
 ilibdir		:= $(iprefix)/usr/lib/diskless-image
-iman8dir	:= $(iprefix)/usr/man/man8
 
 jsrcprefix	:= diskless-image-secure
 jprefix		:= debian/diskless-image-secure
@@ -26,7 +25,6 @@
 jsbindir	:= $(jprefix)/sbin
 jusrsbindir	:= $(jprefix)/usr/sbin
 jlibdir		:= $(jprefix)/usr/lib/diskless-image
-jman8dir	:= $(jprefix)/usr/man/man8
 
 install_file	:= install -o root -g root -m 644
 install_script	:= install -o root -g root -m 755
@@ -38,6 +36,9 @@
 
 	# Add here commands to compile the package.
 	#$(MAKE)
+	mkdir html
+	cd html && jade -d /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl \
+	    -t sgml /usr/lib/sgml/declaration/xml.decl ../manual.xml
 
 	touch build-stamp
 
@@ -47,6 +48,7 @@
 	rm -f build-stamp install-stamp
 
 	# Add here commands to clean up after the build process.
+	rm -rf html
 	#-$(MAKE) clean
 	#-$(MAKE) distclean
 
@@ -59,16 +61,13 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	#$(MAKE) prefix=`pwd`/debian/tmp/usr install
-
 	$(install_script) diskless-newimage $(sbindir)
 	$(install_script) diskless-newhost $(sbindir)
+	$(install_script) diskless-createbasetgz $(sbindir)
 	$(install_script) diskless-kernel $(libdir)
 	$(install_script) stderr-die $(libdir)
 	$(install_file) hostdir.pm $(libdir)
-	$(install_file) imagedir_base.pm $(libdir)
-	$(install_file) imagedir_server.pm $(libdir)
+	$(install_file) imagedir.pm $(libdir)
 	$(install_file) diskless.pm $(libdir)
 	$(install_file) diskless.m4 $(libdir)
 	$(install_file) auto_install.pm $(libdir)
@@ -76,7 +75,6 @@
 
 	$(install_script) $(isrcprefix)/configure-diskless-image $(iusrsbindir)
 	$(install_script) $(isrcprefix)/init $(isbindir)
-	$(install_file) $(isrcprefix)/init.8 $(iman8dir)
 	$(install_file) $(isrcprefix)/rules-image $(ilibdir)
 	$(install_file) $(isrcprefix)/rules-template $(ilibdir)
 	$(install_script) X $(ietcdir)/init.d
@@ -94,7 +92,6 @@
 
 	$(install_script) $(jsrcprefix)/configure-diskless-image $(jusrsbindir)
 	$(install_script) $(jsrcprefix)/init $(jsbindir)
-	$(install_file) $(isrcprefix)/init.8 $(jman8dir)
 	$(install_file) $(jsrcprefix)/rules-image $(jlibdir)
 	$(install_file) $(jsrcprefix)/rules-template $(jlibdir)
 	$(install_script) X $(jetcdir)/init.d
@@ -127,8 +124,7 @@
 #	dh_installemacsen
 #	dh_installinit
 	dh_installcron
-	dh_installmanpages -pdiskless init.8 configure-diskless-image.8
-#	dh_undocumented
+	dh_installman diskless-newhost.8 diskless-newimage.8 diskless-createbasetgz.8
 	dh_installchangelogs
 	dh_compress
 #
