## diskless 0.3.18.0.5

=== debian/changelog ===
diskless (0.3.18.0.5) unstable; urgency=low

  * QA Upload
  * Fix syntax errors in postinst scripts
    (Closes: #246741, #247443, #247530)
  * Dutch debconf template translation by Luk Claes
    (Closes: #251394)
  * German debconf template translation by Erik Schanze
    (Closes: #252344)
  
 -- Frank Lichtenheld <djpig@debian.org>  Fri, 11 Jun 2004 23:37:34 +0200

diskless (0.3.18.0.4) unstable; urgency=low

  * QA upload for fixing what I didn't fix before
  * Really switch to gettext for debconf templates
  * Really translation tempaltes to french
  * Do no ask diskless-image/mailroute twice and really ask
    diskless-image/devfs when needed
  * Convert select tempalte to boolean for devfs questions

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Mar 2004 07:03:15 +0100

diskless (0.3.18.0.3) unstable; urgency=low

  * QA upload for fixing l10n bugs
  * Switch to gettext for debconf templates. Closes: #209393
  * French debconf translation. Closes: #210463
  * Replaced /usr/lib/sgml by /usr/share/sgml. This fixes a potential FTBFS
    bug

 -- Christian Perrier <bubulle@debian.org>  Tue,  9 Mar 2004 16:28:00 +0100

diskless (0.3.18.0.2) unstable; urgency=low

  * change maintainer to QA group 

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Aug 2003 08:48:57 +0900

diskless (0.3.18.0.1) unstable; urgency=low

  * NMU, with maintainer authorisation, to fix an RC bug.
  * debian/control 
    - Changed Build-Depends from docbook-stylesheets to docbook-dsssl 
  (Closes: #189569).

 -- Sebastien Bacher <seb128@debian.org>  Fri, 25 Jul 2003 23:31:29 +0200

diskless (0.3.18) unstable; urgency=low

  * Minor touch ups.
  * diskless-createbasetgz: fix the quotings slightly.
  * manual.xml: add notes on real diskless booting.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Apr 2002 18:24:10 +0900
