=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: diskless
 Section: misc
 Priority: extra
-Maintainer: Junichi Uekawa <dancer@debian.org> 
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.5.5
-Build-Depends-Indep: debhelper (>= 3.0.0), jade, docbook-stylesheets, sgml-data, docbook-xml
+Build-Depends-Indep: debhelper (>= 4.1.16), jade, docbook-dsssl, sgml-data, docbook-xml
 
 Package: diskless
 Architecture: all
