=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,8 @@
 	# Add here commands to compile the package.
 	#$(MAKE)
 	mkdir html
-	cd html && jade -d /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl \
-	    -t sgml /usr/lib/sgml/declaration/xml.decl ../manual.xml
+	cd html && jade -d /usr/share/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl \
+	    -t sgml /usr/share/sgml/declaration/xml.decl ../manual.xml
 
 	touch build-stamp
 
@@ -121,8 +121,6 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installemacsen
-#	dh_installinit
 	dh_installcron
 	dh_installman diskless-newhost.8 diskless-newimage.8 diskless-createbasetgz.8
 	dh_installchangelogs
@@ -130,9 +128,8 @@
 #
 #this breaks my package
 # - I hope it isn't required by policy
-#	dh_fixperms
+#	dh_fixperms -- well, it does break, how to fix it? chown/chmod?
 #
-	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
